Eclipse Platform Release 3.7

## org.eclipse.core.databinding.beans
Interface IBeanProperty

All Superinterfaces:
  IProperty

All Known Subinterfaces:
  IBeanListProperty, IBeanMapProperty, IBeanSetProperty, IBeanValueProperty

    public interface IBeanProperty

extends IProperty

An IProperty extension interface providing access to details of bean properties.

Since:
  1.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`PropertyDescriptor` `getPropertyDescriptor()` Returns the property descriptor of the bean property being observed.

Method Detail

### getPropertyDescriptor

    PropertyDescriptor getPropertyDescriptor()

  Returns the property descriptor of the bean property being observed. This method returns null in the case of anonymous properties.

  Returns:
    the property descriptor of the bean property being observed

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.